<?php
/*
=====================================================
 Pазработка -=Corsar=- 
-----------------------------------------------------
 http://moyweb.moy.su/
-----------------------------------------------------
 Copyright (c) 2006,2007 Moy-weB
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Удаление копирайтов запрещено
-----------------------------------------------------
 Назначение: Главная страница
=====================================================
*/
require 'blocks/functions.php';
include("config/config.php");
$skins = array(1 => array('Основной',$skin1),
               2 => array('Легкий',$skin2));
if (isset($_REQUEST['k'])) $k =$_REQUEST['k'];
if (isset($_REQUEST['id']))  
{
$id =$_REQUEST['id'];
if (preg_match("/[^a-zA-Z0-9_]/", $id))  
{
Header("Location: index.php?id=start");
exit;
}
}
else
{
$id = "start";
}
switch ($id):
 case 'change_skin':
  $skin_name = $_POST["skin"];
  setcookie("skin_name", $skin_name, time()+2592000);
  quickrefresh('index.php?id=start');
  break;
 case 'logout':
  resetcookies();
  quickrefresh('index.php?id=start');
  break;
endswitch;


$skin_name = $_COOKIE['skin_name'];
if ($skin_name == '') $skin_name = $skins[1][1];
$skin_name="skins/".$skin_name."/".$skin_name.".php";
if (file_exists($skin_name))
{
include($skin_name);
}
else
{
include ('skins/'.$skin1.'/'.$skin1.'.php');
}
if (!file_exists('skins/'.$skin1.'/'.$skin1.'.php')) 
{
echo "<h3>Вы не выбрали основной скин, либо указали неверно его имя.
<br> Исправьте в config/config.php</h3>";
}
?>